# tns device log

==========

Usage | Synopsis
--- | ---
General | `$ tns device log [--device <Device ID>]`

Opens the device log stream for a selected connected Android or iOS device.

### Options

- `--device` - If multiple devices are connected, sets the device for which you want to stream the log in the console.

### Attributes

- `<Device ID>` is the device index or identifier as listed by `$ tns device`

### Command Limitations

- You cannot work with connected iOS devices on Linux systems.

### Related Commands

Command | Description
--- | ---
device | Lists all recognized connected devices with serial number and index, grouped by platform.
device android | Lists all recognized connected physical and running virtual devices with serial number and index.
device ios | Lists all recognized connected iOS devices with serial number and index.
device list-applications | Lists the installed applications on all connected Android and iOS devices.
device run | Runs the selected application on a connected Android or iOS device.